Valorant API Unofficial docs
API Reference Authentication Endpoints
PUT

Auth Request

Perform authorization request to get token

Requires cookies from the Auth Cookies stage. If the user has multi-factor authentication enabled, the response will contain a type of multifactor and Multi-Factor Authentication will need to be used.

Note: Authenticating directly is prone to breakage (captchas and cloudflare anti-bot) and does not support users who use alternative sign-in methods. Consider using Cookie Reauth or opening a webview to the Riot login page and watching for redirects.

For an example of watching redirects in a webview (using Electron), see insomnia-plugin-valorant

Server auth.riotgames.com Auth None
PUT https://auth.riotgames.com/api/v1/authorization
Try this request in the browser with your own values

Headers

Content-Type string required
Value application/json

Body

type literal
language literal
remember boolean
riot_identity object
Show nested attributes Hide nested attributes 3
captcha string

hcaptcha token from the login page (see <https://docs.hcaptcha.com/>)

username string
password string

Response

type literal
success object
Show nested attributes Hide nested attributes 5
login_token string
redirect_url string
is_console_link_session boolean
auth_method string

Known values: `riot_identity`

puuid string
country string
platform string